# MC simulations


## In summary

-----------------------------------------------------
                  Landau            Moyal
----------------- ----------------- -----------------
median             $m_L\ex$          $m_M\ex (μ, σ)$

mode               $\mu_L\ex$        $\mu_M\ex (μ)$

FWHM               $w_L\ex$          $w_M\ex (σ)$
-----------------------------------------------------


## PDF parameters

A $M(x)$ similar to $L(x)$ can be found by imposing:

\vspace{15pt}

- equal mode
$$
  \mu_M\ex = \mu_L\ex \approx −0.22278298...
$$

. . .

- equal width
$$
  w_M\ex = w_L\ex = \sigma \cdot a
$$

$$
  \implies \sigma_M \approx 1.1191486
$$


## PDF parameters

:::: {.columns}
:::  {.column width=50%}
  ![](images/both-pdf-bef.pdf)
:::

:::  {.column width=50%}
  ![](images/both-pdf-aft.pdf)
:::
::::


## Different medians

This leads to more different medians:

\begin{align*}
  m_M = 0.787... \thus &m_M = 0.658... \\
                       &m_L = 1.355...
\end{align*}


## Samples

- Sample $L$: N = 50'000 points following $L_(x)$
- Sample $M$: N = 50'000 points following $M_{\mu \sigma}(x)$
